<!DOCTYPE html><html lang='en'>
    <head>
        <meta http-equiv='"Content-Type" content="text/html; charset=utf-8"'></meta><meta name='viewport' content='width=device-width, initial-scale=1'></meta><link rel='stylesheet' href='lib/jquery-mobile/jquery.mobile-1.4.5.min.css'></link><link rel='stylesheet' href='lib/jquery-mobile/jquery.mobile.icons.min.css'></link><link rel='stylesheet' href='css/resume.css'></link><link rel='stylesheet' href='css/app.css'></link><script src='lib/jquery/jquery-2.2.4.min.js'></script><script src='lib/jquery-mobile/jquery.mobile-1.4.5.min.js'></script><title>Resume - Aaron R Miller</title>
    </head><body>
        <div data-role='header'>
            <a href='#contact' data-rel='dialog' class='ui-btn ui-btn-b ui-btn-left ui-btn-inline ui-btn-icon-left ui-icon-mail'>Contact</a><h1>Resume - Aaron R Miller</h1><a href='aaron.miller-resume.docx' target='_blank' class='ui-btn ui-btn-b ui-btn-right ui-btn-inline ui-btn-icon-right ui-icon-action'>Download</a>
        </div><div id='work_experience' data-role='page'><div role='main' class='ui-content'><div class='ui-body ui-body-a ui-corner-all'><h3>Work Experience</h3><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>CartoonifyIt @ Open Source (1 mo)</h4><p>Developed Augmented Reality (AR) demo with Rust and Android NDK (<em>in progress</em>)<br />
<a href="https://github.com/drkstr101/CartoonifyIt">https://github.com/drkstr101/CartoonifyIt</a></p>
<div class='accomp-item'><h5>OSS Software Development</h5><ul>
<li>Ported the C++ Android NDKCamera sample app to Rust</li>
<li>Created standalone crate to extend <code>android-ndk</code> with added support for NDKCamera FFI bindings
(<em>in progress</em>)</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>Mobile Apps</span>, <span>C/++</span>, <span>Rust</span>, <span>FFI</span>, <span>Android NDK</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>earthnew.media @ Open Source (1 mo)</h4><p>Developing feterated social media app from scratch as a teaching tool to help a friend learn
to program (<em>in progress</em>)<br />
<a href="https://gitlab.com/earthnewmedia">https://gitlab.com/earthnewmedia</a><br />
<a href="https://gitlab.com/earthnewmedia/enm-bdd">https://gitlab.com/earthnewmedia/enm-bdd</a> (<em>start here</em>)</p>
<div class='accomp-item'><h5>OSS Software Development</h5><ul>
<li>Produced project inception document with business case and specs for a 1.0 MVP release</li>
<li>Implemented BDD style test suite for integration testing between decoupled web projects</li>
<li>Created RESTful API with JWT client security for backend CRUD services and SPA for prototype UX</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>UI/UX Design</span>, <span>Domain Modeling</span>, <span>Product Development</span>, <span>Business Analysis</span>, <span>Mentor</span>, <span>NodeJs</span>, <span>React</span>, <span>Redux</span>, <span>SagasJs</span>, <span>Bootstrap</span>, <span>HTML5</span>, <span>REST</span>, <span>Serenity BDD</span>, <span>Typescript</span>, <span>Loopback 4</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>WaWeb Site Plugin @ Open Source (4 mo)</h4><p>Developed a collection of integrated Gradle plugins for static website development and publication<br />
<a href="https://gitlab.com/waweb/waweb-site-plugin">https://gitlab.com/waweb/waweb-site-plugin</a> (<em>ref</em> <a href="https://gitlab.com/waweb/waweb-site-plugin/-/tree/200-beta">200-beta</a>)</p>
<div class='accomp-item'><h5>OSS Software Development</h5><ul>
<li>Created suite of Gradle plugins, including support for JavaScript compilation, SASS, and extended
Groovy Template Engine with added support for markdown to HTML conversion in template definitions</li>
<li>Developed reusable &quot;Steps&quot; library for Serenity BDD to easily test multiple Gradle plugins which
may interact with each other in a test fixture</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>JDK</span>, <span>Gradle</span>, <span>Groovy</span>, <span>HTML5</span>, <span>Serenity BDD</span>, <span>Closure Compiler</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>Resume Publisher @ Open Source (4 mo)</h4><p>Developed Gradle plugin which publishes an html and docx format of my resume<br />
<a href="https://gitlab.com/aaron.miller/resume">https://gitlab.com/aaron.miller/resume</a></p>
<div class='accomp-item'><h5>OSS Software Development</h5><ul>
<li>Created Resume domain model and GUI editor using the Eclipse ECore modeling tools</li>
<li>Created Gradle plugin which adds builder support and publishing capabilities for the Resume
model, with outputs including an XMI data exchange format, static html site, stylized docx,
and &quot;Word Cloud&quot; image generation from skills listed in the model.</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>UI/UX Design</span>, <span>Domain Modeling</span>, <span>EMF/ECore</span>, <span>jQuery Mobile</span>, <span>Gradle</span>, <span>Groovy</span>, <span>JDK</span>, <span>HTML5</span>, <span>OOXML</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>CTO/Co-Owner @ Washington Web Apps (7 mo)</h4><p>Co-founder and chief technical lead at a software development consultancy</p>
<div class='accomp-item'><h5>Business Development</h5><ul>
<li>Developed and produced a majority of the Lean Business Plan document, including an initial target market, product, sales/marketing, and pricing strategies</li>
<li>Identified talents and negotiated partnerships to fill the roles of CFO and COO, to delegate responsibilities for legal, accounting, business development and growth</li>
<li>Developed a basic reproducible sales process as a starting point used to train and onboard the COO, aiding them in the pursuit of sales growth</li>
</ul>
<p class='skill-items'><span>Product Development</span>, <span>Business Analysis</span>, <span>Project Management</span>, <span>Business Strategy</span>, <span>Lean Planning</span>, <span>Sales</span></p></div><div class='accomp-item'><h5>Systems Engineering</h5><ul>
<li>Created an append-only accounting system and tooling using a combination of plain text files, HLedger, and Git</li>
<li>Developed proprietary project estimation and pricing tools using the Eclipse Modeling Framework (EMF), accounted for as IP Assets in the main ledger and providing the primary competitive advantage for the company</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>Domain Modeling</span>, <span>Terraform</span>, <span>HLedger</span>, <span>Kubernetes</span>, <span>AWS</span>, <span>Google Cloud</span>, <span>Gradle</span>, <span>Groovy</span>, <span>Spring Boot</span>, <span>JDK</span>, <span>EMF/ECore</span>, <span>HTML5</span>, <span>ES6</span>, <span>Closure Compiler</span>, <span>Bootstrap</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>Systems Engineer @ WAVSYS (7 mo)</h4><p>Staff augmented Systems Engineer at Expedia Group</p>
<div class='accomp-item'><h5></h5><ul>
<li>Reduced maintenance cost by aiding in the transition of a legacy monolith project to a more modern automation framework</li>
<li>Improved the efficiency of Stackstorm pack development by building and maintaining an automated acceptance testing and specification framework</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>Vault</span>, <span>ServiceNow</span>, <span>Microservices</span>, <span>Kubernetes</span>, <span>C#/.NET</span>, <span>Python</span>, <span>Gradle</span>, <span>Stackstorm</span>, <span>Serenity BDD</span>, <span>JDK</span>, <span>Groovy</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>Software Developer @ Catalyte-Surge IT Services (12 mo)</h4><p>Software Engineer at an outsourcing and staff augmentation consultancy</p>
<div class='accomp-item'><h5>Kadlec Medical Group</h5><ul>
<li>Removed primary blockers and reduced runtime memory footprint by an order of magnitude in an Electronic Medical Record (EMR) web application</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>Microservices</span>, <span>REST</span>, <span>NodeJs</span>, <span>HTML5</span>, <span>ES6</span>, <span>Babel</span>, <span>Flow</span>, <span>ExpressJs</span>, <span>React</span>, <span>Redux</span>, <span>SagasJs</span>, <span>Domain Modeling</span></p></div><div class='accomp-item'><h5>Emory University</h5><ul>
<li>Developed client-side module and built a release system for custom 2FA authentication, when using the AWS Command Line Interface within Emory University's internal network</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>AWS</span>, <span>Microservices</span>, <span>SOAP</span>, <span>Gradle</span>, <span>Spring Boot</span>, <span>JDK</span>, <span>Groovy</span>, <span>EAR</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>Software Developer @ Vivid Learning Systems (6yr, 6 mo)</h4><p>Sr. Software Engineer for eLearning based products and services company</p>
<div class='accomp-item'><h5>Sr. Programmer</h5><ul>
<li>Developed prototype mobile VR app used by the sales team to entice potential customers at trade shows</li>
<li>Automated workflow for production department and drove the adoption of Continuous Integration into the development process</li>
<li>Designed and developed front end framework to enable the production of Computer Aided Learning content as a fully Progressive Web App, eliminating the reliance on Flash/Air runtimes in flagship product</li>
<li>Created prototype data service-oriented back-end architecture that supports user authentication and tracking for deployment scenarios outside a traditional LMS web portal, later adopted by another team as the basis for a rewrite to the backend LMS product</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>Mobile Apps</span>, <span>C/++</span>, <span>JDK</span>, <span>Android NDK</span>, <span>Google VR</span>, <span>GearVR (Oculus)</span>, <span>Unreal Engine</span>, <span>Apache Ant</span>, <span>DevOps</span>, <span>Systems Integration</span>, <span>Groovy</span>, <span>Gradle</span>, <span>Python</span>, <span>Jenkins</span>, <span>OSGI</span>, <span>Microservices</span>, <span>Progressive Web Apps</span>, <span>HTML5</span>, <span>Closure Compiler</span>, <span>Lodash</span>, <span>jQuery Mobile</span>, <span>CreateJs</span>, <span>NodeJs</span>, <span>C#/.NET</span>, <span>MS SQL Server</span>, <span>Entity Framework</span>, <span>Mentor</span></p></div><div class='accomp-item'><h5>Programmer II</h5><ul>
<li>Implemented mobile compatible front-end architecture to bring a flagship product to the App/Play Store</li>
<li>Maintained existing flagship product that delivers and tracks the usage of rich media content for Computer-Aided Learning (&quot;eLearning&quot;)</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>Mobile Apps</span>, <span>UI/UX Design</span>, <span>Flash/Flex</span>, <span>Adobe Air</span>, <span>Python</span>, <span>Apache Ant</span>, <span>SCORM</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>CTO/Co-Owner @ Open Base Interactive (1yr, 11 mo)</h4><p>Co-founder and chief technical lead at a software development consultancy</p>
<div class='accomp-item'><h5>NuLabel Technologies</h5><ul>
<li>Worked with Director of Science to develop database-driven software systems that replaced existing spreadsheet-based workflow in use by the lab techs</li>
</ul>
<p class='skill-items'><span>Product Development</span>, <span>Business Analysis</span>, <span>DevOps</span>, <span>Microservices</span>, <span>Programming</span>, <span>Mentor</span>, <span>UI/UX Design</span>, <span>JDK</span>, <span>Tomcat</span>, <span>Google Sheets</span>, <span>OAuth 2</span>, <span>Flash/Flex</span>, <span>Postgresql</span>, <span>Python</span>, <span>Jenkins</span>, <span>Data Visualization</span>, <span>Apache Ant</span>, <span>Domain Modeling</span></p></div><div class='accomp-item'><h5>Demand Lending</h5><ul>
<li>Designed and developed the software systems for the flagship product of a Direct Lending startup</li>
<li>Managed a team of developers to bring flagship product to market</li>
</ul>
<p class='skill-items'><span>Product Development</span>, <span>Business Analysis</span>, <span>Project Management</span>, <span>Systems Architecture</span>, <span>Postgresql</span>, <span>Domain Modeling</span></p></div><div class='accomp-item'><h5>All Student Rentals</h5><ul>
<li>Created client-server marketplace of rental properties for the winner of the &quot;Best Business Idea&quot; contest at California State</li>
<li>Integrated phone service with back-end systems to automatically detect billable leads, through the use of auto-generated extension numbers shown in the front-end app, keyed by listing and vendor ID</li>
</ul>
<p class='skill-items'><span>Product Development</span>, <span>Programming</span>, <span>UI/UX Design</span>, <span>Flash/Flex</span>, <span>Microservices</span>, <span>Google Analytics</span>, <span>HTML5</span>, <span>Systems Integration</span>, <span>Postgresql</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>CTO/Co-Owner @ Splash Labs (1yr, 2 mo)</h4><p>Co-founder and chief technical lead at a software development consultancy</p>
<div class='accomp-item'><h5>Team08 Snowboards</h5><ul>
<li>Developed a Fullstack system to enabled custom snowboard designs to be created and purchased online</li>
<li>Integrated back-end database systems with CAD manufacturing systems to automatically produce working specs from the web-based designer utility in the store front-end</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>UI/UX Design</span>, <span>Flash/Flex</span>, <span>PHP</span>, <span>Magento</span>, <span>MySQL</span>, <span>Systems Integration</span></p></div><div class='accomp-item'><h5>Developers Research</h5><ul>
<li>Created the main company website and simple CMS system for adding or removing content</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>HTML5</span>, <span>PHP</span></p></div><div class='accomp-item'><h5>Digg Charts</h5><ul>
<li>Created the DiggCharts app which won second place in the Digg.com API data visualizations contest</li>
</ul>
<p class='skill-items'><span>Programming</span>, <span>Flash/Flex</span>, <span>UI/UX Design</span>, <span>Programming</span>, <span>Digg API</span>, <span>Data Visualization</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>GMailFS HOWTO @ Open Source (-12 mo)</h4><p>Wrote and published the GMailFS HOWTO: A guide to Using Your GMail Account as a Linux File System<br />
<a href="http://gmailfs-howto.waweb.io/">http://gmailfs-howto.waweb.io/</a></p>
<div class='accomp-item'><h5></h5><p class='skill-items'><span>Python</span></p></div></div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>Loan Officer @ North Coast Credit Union (1yr, 4 mo)</h4><p>Home, auto, and line of credit Loan Officer at a local credit union</p>
</div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>Funding Analyst @ HSBC (1yr, 6 mo)</h4><p>Processed auto loan packages for fraud prior to releasing funds</p>
</div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>Dealer Service Manager @ Capital One (10 mo)</h4><p>Inbound call center for finance managers at auto dealership</p>
</div><div data-role='collapsible' data-inset='false' data-collapsed='true'><h4>Funding Analyst @ Capital One (5 mo)</h4><p>Processed auto loan packages for fraud prior to releasing funds</p>
</div><div class='flex-container'><a href='cover_letter.html' class='ui-btn ui-btn-inline ui-btn-icon-left ui-icon-carat-l flex-item' data-rel='back' data-transition='slidefade'>Cover Letter</a><div class='flex-item'></div><a href='references.html' class='ui-btn ui-btn-inline ui-btn-icon-right ui-icon-carat-r flex-item' data-transition='slidefade'>References</a></div></div></div></div><div id='contact' data-role='page' data-dialog='true' data-close-btn='right' data-close-btn-text='Close'>
            <div data-role='header'><h1>Contact Info</h1></div><div role='main' class='ui-content'>
                <h3>Aaron R Miller</h3><div class='flex-container'>
                    <address class='flex-item'>
<p>101 S Kellogg St.<br />
Kennewick, WA 99336</p>
                        <a href='mainto:aaron.miller@waweb.io'>aaron.miller@waweb.io</a><br>(509) 491 - 3153
                    </address><img class='flex-item' src='img/avatar.jpg' alt='Profile Picture'></img>
                </div>
            </div>
        </div><script src='js/app.js'></script><script src='https://www.googletagmanager.com/gtag/js?id=UA-153246643-1'></script><script>
            
window.dataLayer = window.dataLayer || [];
function gtag(){dataLayer.push(arguments);}
gtag('js', new Date());

gtag('config', 'UA-153246643-1');

        </script>
    </body>
</html>